# -*- encoding: utf-8 -*-
# stub: mustermann-contrib 3.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "mustermann-contrib".freeze
  s.version = "3.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Konstantin Haase".freeze, "Zachary Scott".freeze]
  s.date = "2024-07-18"
  s.description = "Adds many plugins to Mustermann".freeze
  s.email = "sinatrarb@googlegroups.com".freeze
  s.files = ["LICENSE".freeze, "README.md".freeze, "examples/highlighting.rb".freeze, "highlighting.png".freeze, "irb.png".freeze, "lib/mustermann/cake.rb".freeze, "lib/mustermann/express.rb".freeze, "lib/mustermann/file_utils.rb".freeze, "lib/mustermann/file_utils/glob_pattern.rb".freeze, "lib/mustermann/fileutils.rb".freeze, "lib/mustermann/flask.rb".freeze, "lib/mustermann/pyramid.rb".freeze, "lib/mustermann/rails.rb".freeze, "lib/mustermann/shell.rb".freeze, "lib/mustermann/simple.rb".freeze, "lib/mustermann/string_scanner.rb".freeze, "lib/mustermann/strscan.rb".freeze, "lib/mustermann/template.rb".freeze, "lib/mustermann/uri_template.rb".freeze, "lib/mustermann/versions.rb".freeze, "lib/mustermann/visualizer.rb".freeze, "lib/mustermann/visualizer/highlight.rb".freeze, "lib/mustermann/visualizer/highlighter.rb".freeze, "lib/mustermann/visualizer/highlighter/ad_hoc.rb".freeze, "lib/mustermann/visualizer/highlighter/ast.rb".freeze, "lib/mustermann/visualizer/highlighter/composite.rb".freeze, "lib/mustermann/visualizer/highlighter/dummy.rb".freeze, "lib/mustermann/visualizer/highlighter/regular.rb".freeze, "lib/mustermann/visualizer/pattern_extension.rb".freeze, "lib/mustermann/visualizer/renderer/ansi.rb".freeze, "lib/mustermann/visualizer/renderer/generic.rb".freeze, "lib/mustermann/visualizer/renderer/hansi_template.rb".freeze, "lib/mustermann/visualizer/renderer/html.rb".freeze, "lib/mustermann/visualizer/renderer/sexp.rb".freeze, "lib/mustermann/visualizer/tree.rb".freeze, "lib/mustermann/visualizer/tree_renderer.rb".freeze, "mustermann-contrib.gemspec".freeze, "spec/cake_spec.rb".freeze, "spec/express_spec.rb".freeze, "spec/file_utils_spec.rb".freeze, "spec/flask_spec.rb".freeze, "spec/flask_subclass_spec.rb".freeze, "spec/pattern_extension_spec.rb".freeze, "spec/pyramid_spec.rb".freeze, "spec/rails_spec.rb".freeze, "spec/shell_spec.rb".freeze, "spec/simple_spec.rb".freeze, "spec/string_scanner_spec.rb".freeze, "spec/template_spec.rb".freeze, "spec/visualizer_spec.rb".freeze, "theme.png".freeze, "tree.png".freeze]
  s.homepage = "https://github.com/sinatra/mustermann".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Collection of extensions for Mustermann".freeze
  s.test_files = ["spec/cake_spec.rb".freeze, "spec/express_spec.rb".freeze, "spec/file_utils_spec.rb".freeze, "spec/flask_spec.rb".freeze, "spec/flask_subclass_spec.rb".freeze, "spec/pattern_extension_spec.rb".freeze, "spec/pyramid_spec.rb".freeze, "spec/rails_spec.rb".freeze, "spec/shell_spec.rb".freeze, "spec/simple_spec.rb".freeze, "spec/string_scanner_spec.rb".freeze, "spec/template_spec.rb".freeze, "spec/visualizer_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mustermann>.freeze, ["= 3.0.0"])
    s.add_runtime_dependency(%q<hansi>.freeze, ["~> 0.2.0"])
  else
    s.add_dependency(%q<mustermann>.freeze, ["= 3.0.0"])
    s.add_dependency(%q<hansi>.freeze, ["~> 0.2.0"])
  end
end
